using HWModules;
using Microsoft.SPOT;
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace CPFUnitTests.UT_MotherBoard
{
    [TestClass]
    public class UnitTest_MotherBoard_USB
    {
        [TestMethod]
        public void TestJustWaitToPlugItIn()
        {
            Debug.Print("Unit Test JustWaitToPlugItIn");
            HWModules.MotherBoard mb = HWModules.MotherBoard.Instance;
            mb.Enable5V();
            USBStorage usb = USBStorage.Instance;

            Debug.Print("Go ahead and plug a usb drive into either port.");

            usb.evt.WaitOne();
        }
    }
}
